Module javafx.controls
Package javafx.scene.control

## Enum TabPane.TabDragPolicy

- java.lang.Object
- - java.lang.Enum<TabPane.TabDragPolicy>
  - - javafx.scene.control.TabPane.TabDragPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<TabPane.TabDragPolicy>`, `Constable`
  Enclosing class:
    TabPane

      public static enum TabPane.TabDragPolicy
      extends Enum<TabPane.TabDragPolicy>

  This enum specifies drag policies for tabs in a TabPane.
  Since:
    10

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIXED` | The tabs remain fixed in their positions and cannot be dragged.
    `REORDER` | The tabs can be dragged to reorder them within the same TabPane.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static TabPane.TabDragPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TabPane.TabDragPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIXED

          public static final TabPane.TabDragPolicy FIXED

      The tabs remain fixed in their positions and cannot be dragged.

    - #### REORDER

          public static final TabPane.TabDragPolicy REORDER

      The tabs can be dragged to reorder them within the same TabPane. Users can perform the simple mouse press-drag-release gesture on a tab header to drag it to a new position. A tab can not be detached from its parent TabPane.

      After a tab is reordered, the `tabs` list is permuted to reflect the updated order. A `permutation change` event is fired to indicate which tabs were reordered. This reordering is done after the mouse button is released. While a tab is being dragged, the list of tabs is unchanged.

  - ### Method Detail

    - #### values

          public static TabPane.TabDragPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TabPane.TabDragPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null